List Tags

Reference for the GET /console/v1/tags endpoint of the Statsig API.

gethttps://statsigapi.net/console/v1/tags

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

limitinteger

Results per page

Example:10
Constraints:stringnumber
pageinteger

Page number

Example:1
Constraints:stringnumber

Response

application/json
200· List Tags Success
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
idstringrequired

id of the tag

Example:string
namestringrequired

name of the tag

Example:a tag
descriptionstringrequired

description of the tag

Example:a description
isCorebooleanrequired

is this a core tag

Example:false
paginationobjectrequired

Pagination metadata for checking if there is next page for example.

Show child attributes
itemsPerPagenumberrequired
Constraints:format: double
pageNumbernumberrequired
Constraints:format: double
nextPagestringrequired
Constraints:nullable
previousPagestringrequired
Constraints:nullable
totalItemsnumber
Constraints:format: double
allstring
404· Tag not found. The requested resource could not be found.
statusintegerrequired
Allowed values:404
messagestringrequired

Was this helpful?